Bug 808800 - Manufacturer in smbios does not show correctly in the guest
Manufacturer in smbios does not show correctly in the guest
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: qemu-kvm (Show other bugs)
6.3
Unspecified Unspecified
low Severity low
: rc
: ---
Assigned To: Gleb Natapov
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-31 23:04 EDT by Yang Zhao
Modified: 2013-12-08 19:56 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-03 04:17:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Yang Zhao 2012-03-31 23:04:52 EDT
Description of problem
Manufacturer in smbios can not show correctly in the guest 

Version-Release number of selected component (if applicable):
# uname -r
2.6.32-257.el6.x86_64
# rpm -q qemu-kvm
qemu-kvm-0.12.1.2-2.265.el6.x86_6

Guest:
kernel-2.6.18-305.el5

How reproducible:
100%

Steps to Reproduce:
1.Start VM w/ -smbios type=1,manufature=LENOVO
eg:/usr/libexec/qemu-kvm -boot dc -cpu cpu64-rhel6,+x2apic,family=0xf -smp 4 -m 2G -device virtio-balloon-pci,id=balloon0 -k en-us -usb -device usb-tablet,id=tablet0 -device intel-hda,id=sound0 -device hda-duplex,id=sound0-codec0,bus=sound0.0,cad=0 -drive file=/home/test/rhel5.8.qcow2,format=qcow2,if=none,werror=stop,rerror=stop,id=drive-virtio-0-0,media=disk -device virtio-blk-pci,id=virtio-0-0,drive=drive-virtio-0-0 -drive file=/home/test/RHEL5.8-Server-20120202.0-x86_64-DVD.iso,format=raw,if=none,werror=stop,rerror=stop,id=drive-cdrom,media=cdrom -device ide-drive,id=cdrom,drive=drive-cdrom -netdev tap,id=hostnet0,vhost=on,script=/etc/qemu-ifup -device virtio-net-pci,netdev=hostnet0,id=net0,mac=00:00:23:12:11:81 -rtc base=utc,clock=host,driftfix=slew -name RHEL5u8 -spice port=5931,disable-ticketing -vga qxl -monitor stdio -smbios type=1,manufacture="LENOVO",product="M8300T",version=1,serial=CZC9455sc0,uuid=bf937e3e-6ac3-4337-a1b5-db18dfe8b1b3,sku=470065-200,family=Workstation
2.in the guest #dmidecode |more to check the smbios infomation

  
Actual results:
in the #dmidecode output ,it shows 
Manufacture : Red Hat

Expected results:
It should show 
Manufacture : LENOVO

Additional info:
Comment 2 Ademar Reis 2012-04-02 11:45:59 EDT
Yang, please confirm two things:

1. The manpage says it should be "manufacturer", but in your command line you used "manufacture". Please double check if it's a typo or not.

2. What's the behavior in RHEL6.2? (in other words, is it a regression?)

Thanks.
Comment 3 Gleb Natapov 2012-04-03 04:17:45 EDT
Checked the code and it expects "manufacturer". Closing the bug. If still reproducible with correct command line then reopen it.

Note You need to log in before you can comment on or make changes to this bug.